"use strict";
/*
 * @license
 * Copyright Lightweightform. All Rights Reserved.
 *
 * Use of this source code is governed by an Apache2.0-style license that can be
 * found at https://www.apache.org/licenses/LICENSE-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var record_schema_1 = require("./schema/record.schema");
var SCHEMA = 'schema';
var SchemaManager = /** @class */ (function () {
    function SchemaManager() {
    }
    SchemaManager.generateSchema = function (rootDir, groupId, artifactId, schema) {
        var commonPackageRootDir = rootDir + "/" + groupId.replace(/\./g, '/');
        utils_1.createDirectory(commonPackageRootDir + "/schema");
        record_schema_1.RecordSchema.createRecordSchema(schema, groupId + "." + SCHEMA, commonPackageRootDir + "/" + SCHEMA, artifactId, true);
    };
    return SchemaManager;
}());
exports.default = SchemaManager;
//# sourceMappingURL=schema.manager.js.map